mscorlib 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.Guid("0000000c-0000-0000-c000-000000000046") System.Runtime.InteropServices.InterfaceType(System.Runtime.InteropServices.ComInterfaceType.InterfaceIsIUnknown)

For more information, see the existing documentation for IStream and ISequentialStream in the the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Provides the managed definition of the IStream interface, with ISequentialStream functionality.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  For more information, see the existing documentation for IStream::Commit in the MSDN Library.

  Ensures that any changes made to a stream object that is open in transacted mode are reflected in the parent storage.

  A value that controls how the changes for the stream object are committed.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` ``

  For more information, see the existing documentation for IStream::CopyTo in the MSDN Library.

  Copies a specified number of bytes from the current seek pointer in the stream to the current seek pointer in another stream.

  A reference to the destination stream. The number of bytes to copy from the source stream. On successful return, contains the actual number of bytes read from the source. On successful return, contains the actual number of bytes written to the destination.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  For more information, see the existing documentation for IStream::LockRegion in the MSDN Library.

  Restricts access to a specified range of bytes in the stream.

  The byte offset for the beginning of the range. The length of the range, in bytes, to restrict. The requested restrictions on accessing the range.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  For more information, see the existing documentation for ISequentialStream::Read in the MSDN Library.

  Reads a specified number of bytes from the stream object into memory starting at the current seek pointer.

  When this method returns, contains the data read from the stream. This parameter is passed uninitialized. The number of bytes to read from the stream object. A pointer to a ULONG variable that receives the actual number of bytes read from the stream object.
- Method
  2.0.0.0
  4.0.0.0
  System.Void

  For more information, see the existing documentation for IStream::Revert in the MSDN Library.

  Discards all changes that have been made to a transacted stream since the last call.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  For more information, see the existing documentation for IStream::Seek in the MSDN Library.

  Changes the seek pointer to a new location relative to the beginning of the stream, to the end of the stream, or to the current seek pointer.

  The displacement to add to . The origin of the seek. The origin can be the beginning of the file, the current seek pointer, or the end of the file. On successful return, contains the offset of the seek pointer from the beginning of the stream.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  For more information, see the existing documentation for IStream::SetSize in the MSDN Library.

  Changes the size of the stream object.

  The new size of the stream as a number of bytes.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  For more information, see the existing documentation for IStream::UnlockRegion in the MSDN Library.

  Removes the access restriction on a range of bytes previously restricted with the method.

  The byte offset for the beginning of the range. The length, in bytes, of the range to restrict. The access restrictions previously placed on the range.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  For more information, see the existing documentation for ISequentialStream::Write in the MSDN Library.

  Writes a specified number of bytes into the stream object starting at the current seek pointer.

  The buffer to write this stream to. The number of bytes to write to the stream. On successful return, contains the actual number of bytes written to the stream object. If the caller sets this pointer to , this method does not provide the actual number of bytes written.